/*******************************************************************************
 * ActorFactoryDynamicSM generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ActorFactoryDynamicSM extends ActorFactory
    abstract
    native
    config(Editor)
    editinlinenew
    collapsecategories
    hidecategories(Object);

var() StaticMesh StaticMesh;
var() Vector DrawScale3D;
var() bool bNoEncroachCheck;
var() bool bNotifyRigidBodyCollision;
var() bool bBlockRigidBody;
var() bool bUseCompartment;
var() bool bCastDynamicShadow;
var() Actor.ECollisionType CollisionType;

defaultproperties
{
    DrawScale3D=(X=1.0,Y=1.0,Z=1.0)
    bCastDynamicShadow=true
    CollisionType=ECollisionType.COLLIDE_NoCollision
}